Prolifto
API reference

Inventory

Stock levels and adjustments

Adjust

POST
/inventory/adjust

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

curl -X POST "https://www.prolifto.store/api/inventory/adjust" \  -H "Content-Type: application/json" \  -d '{    "productId": "string",    "productName": "string",    "quantity": -9007199254740991,    "variantId": "string",    "variantName": "string"  }'
{}

Get Low Stock

POST
/inventory/getLowStock

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

curl -X POST "https://www.prolifto.store/api/inventory/getLowStock" \  -H "Content-Type: application/json" \  -d '{}'
{}

Get Many

POST
/inventory/getMany

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

curl -X POST "https://www.prolifto.store/api/inventory/getMany" \  -H "Content-Type: application/json" \  -d '{    "organizationSlug": "string"  }'
{}